clear all;
consumption_and_generation_2_feb % takes in generation and load values for February 2
cd('Y:\Sagosen - Master\Matlab'); 
transformer_load_share % consumption share of the transformers
House_load_share; %consumption share of houses connected to T54570

active_system_load = (active_base_load + production); %adding produced power to imported power to find actual consumption
reactive_system_load = active_system_load*sum_reactive_pow/sum_active_pow;
days=1;
hours=24;
cd('Y:\Sagosen - Master\Matlab');
system_load_array;
cd('Y:\Sagosen - Master\Matlab\24_hours');

%EV_charging_2_feb;
%smart_charging_feb_2;
dumb_charging_2_feb;

%Create the wind generation array
wind_2_feb; % Takes in the wind data to calculate generation

LV_system_load = P_house_consumption + charging_plan;


%Finding total load by adding charging of EVs
%active_base = active_base + charge_large_system;

%creating consumption arrays for all the transformers
made_gen=0;
for j = 1:length(transformers)
    count=1;
    day=1;
    hour=1;
    
    for i = 1:length(active_system_load)*2
        if mod(hour,25)==0
            hour=1;
            day=day+1;
        end
        if mod(count,2)==1
           transformer_active_load(day,2*hour-1,j)=count-(hours*(day-1)+hour)+1;
           transformer_reactive_load(day,2*hour-1,j)=count-(hours*(day-1)+hour)+1;
           if made_gen <= 1
           P_hydro(day,2*hour-1)=count-(hours*(day-1)+hour)+1;
           Q_hydro(day,2*hour-1)=count-(hours*(day-1)+hour)+1;
           end
        else
            transformer_active_load(day,2*hour,j)=active_base(day,hour,j)/powerflow(j,1);
            transformer_reactive_load(day,2*hour,j)=transformer_active_load(day,2*hour,j)*powerflow(j,2)/powerflow(j,1);
            if made_gen <= 1
            P_hydro(day,2*hour)=P_generation(day,hour)/2400;
            Q_hydro(day,2*hour)=Q_generation(day,hour)/1000;
            end
            hour=hour+1;
        end
        count=count+1;
        
        
    end
    made_gen=made_gen+1;
end

%creating consumption arrays for the low voltage part.
%Using the consumption of transformer 52140
P_house= zeros(1,2*hours,length(house_numbers));
Q_house= zeros(1,2*hours,length(house_numbers));

%Adding EV charging to house base load
P_house_consumption = P_house_consumption + charging_plan;



%calculating the base load of each house in relation to P_max



count=0;
    for j = 1:2*hours
        if mod(j,2)==1
        count=count+1;
        end
        for k = 1:length(house_numbers)
            if mod(j,2)==1
                P_house(1,j,k)=count;
                Q_house(1,j,k)=count;
            else
                P_house(1,j,k)=P_house_consumption(1,j-count,k)/house_numbers(k,3);
                Q_house(1,j,k)=Q_house_consumption(1,j-count,k)/house_numbers(k,4);
            end
        end
        
    end









%Finally, writing the array to a simpow file



space='     ';
cd('Y:\Sagosen - Master\SIMPOW\New system with LV\Feb_2\40_percent_EVs');


fileID = fopen('Feb_2_40_EV.dynpow','w');

fprintf(fileID,'%s \r\n %s \r\n','Base analysis',' ');
fprintf(fileID,'%s \r\n %s \r\n','**',' ');
fprintf(fileID,'%s \r\n %s \r\n','CONTROL DATA',' TEND=24');
fprintf(fileID,'%s \r\n','END');
fprintf(fileID,'%s \r\n %s \r\n','GENERAL',' FN=50');
fprintf(fileID,'%s \r\n','END');
fprintf(fileID,'%s \r\n %s \r\n','NODES',' STEIN-66T3 TYPE=1 NAME=EXTERNAL_GRID');
fprintf(fileID,'%s \r\n','END');
fprintf(fileID,'%s \r\n','LOADS');

    fprintf(fileID,'%s %s %s%d %s \r\n','BYAFOSSEN-T1',space,'PTAB=',3000,'QTAB=3500 MP=0');
   % fprintf(fileID,'%s %s %s \r\n','WIND-T1',space,'PTAB=2000 MP=0');
  temp=0;
for i = 1: length(house_numbers)
    if house_numbers(i,5) < 10
        if (house_numbers(i,5)==2 && temp==1) || (house_numbers(i,5)==9 && temp==1)
         fprintf(fileID,'%d%s%d%s %s %s%d %s%d %s \r\n',54570,'.00',house_numbers(i,5),'.2',space,'PTAB=',100+house_numbers(i),'QTAB=',100+house_numbers(i),'MP=1.3');
         temp=0;
        else
          fprintf(fileID,'%d%s%d%s %s %s%d %s%d %s \r\n',54570,'.00',house_numbers(i,5),'.1',space,'PTAB=',100+house_numbers(i),'QTAB=',100+house_numbers(i),'MP=1.3');
          if house_numbers(i,5)==2 || house_numbers(i,5)==9
              temp=1;
          end
        end

    else
        if (house_numbers(i,5)==10 || house_numbers(i,5)==32 || house_numbers(i,5)==41 || house_numbers(i,5)==45 || house_numbers(i,5)==53 || house_numbers(i,5)==57) && temp ==1
        fprintf(fileID,'%d%s%d%s %s %s%d %s%d %s \r\n',54570,'.0',house_numbers(i,5),'.2',space,'PTAB=',100+house_numbers(i),'QTAB=',100+house_numbers(i),'MP=1.3');
        temp=0;
        else
          fprintf(fileID,'%d%s%d%s %s %s%d %s%d %s \r\n',54570,'.0',house_numbers(i,5),'.1',space,'PTAB=',100+house_numbers(i),'QTAB=',100+house_numbers(i),'MP=1.3');
          if house_numbers(i,5)==10 || house_numbers(i,5)==32 || house_numbers(i,5)==41 || house_numbers(i,5)==45 || house_numbers(i,5)==53 || house_numbers(i,5)==57
              temp=1;
          end
        end

    end
end
for i = 1:32
    if i==28
    else
    fprintf(fileID,'%s%d %s %s%d %s%d %s \r\n','T',transformers(i,1),space,'PTAB=',1000+i,'QTAB=',1000+i,'MP=1.3');
    end
end

fprintf(fileID,'%s \r\n','END');
fprintf(fileID,'%s \r\n','TABLES');
fprintf(fileID,'%d %s \r\n',3000,'TYPE=0 F');   
 fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,0,P_hydro(1,2),P_hydro(1,1:24)');
 fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,P_hydro(1,25:48)');
   
    
    fprintf(fileID,'%d %s \r\n',3500,'TYPE=0 F');
    fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,0,Q_hydro(1,2),Q_hydro(1,1:24)');
    fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,Q_hydro(1,25:48)');
    
    
%     fprintf(fileID,'%d %s \r\n',2000,'TYPE=0 F');
%     fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,0,wind_generation(1,2),wind_generation(1,1:24)');
%     fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,wind_generation(1,25:48)');
%     
    
    
for i = 1:length(house_numbers)
    
    fprintf(fileID,'%d %s \r\n',100+house_numbers(i),'TYPE=0 F');

    fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,0,P_house(1,2,i),P_house(1,1:24,i)');
    fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,P_house(1,25:48,i)');
end
    
    
    
for i = 1:length(transformers) 
    if i==28
    else
    fprintf(fileID,'%d %s \r\n',1000+i,'TYPE=0 F');
    
    
        fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,0,transformer_active_load(1,2,i),transformer_active_load(1,1:24,i)');
        fprintf(fileID,'%s %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f %d %5.3f \r\n',space,transformer_active_load(1,25:48,i)');
    end
    
end

fprintf(fileID,'%s \r\n','END');
fprintf(fileID,'%s \r\n','END');
        
fclose(fileID);
cd('Y:\Sagosen - Master\Matlab');