%Plot the wind generation
x=1:length(gen_factor);
y1=linspace(3,3,length(x));

figure
plot(x,wind_power,'k')
xlabel('Hours')
ylabel('Power [kWh/h]')
axis([1 24 0 550])

% Adjust XY label font
set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');


set(gca,'XTick',0:1:24)
set(gca,'XTickLabel',0:1:24)

set(gcf,'Position',[680 558 750 420])
% 
% screen2eps wind_power_feb_2.eps


%Additional load caused by EVs

tot_charge=zeros(1,24);
for i = 1:24
    tot_charge(i) = sum(charge_large_system(1,i,:));
end
Excess_power = wind_power - tot_charge;
zero=linspace(0,0,length(x));
figure
hold on
box on
plot(x,wind_power,'Color','b','LineWidth',2)
plot(x,tot_charge,'Color','r','LineWidth',2)
xlabel('Hours')
ylabel('Power [kWh/h]')
axis([1 24 0 1200])

% Adjust XY label font
set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');

h_legend = legend('Wind generation','EV consumption','Location','SouthOutside');
set(h_legend,'FontSize',14);
set(gca,'XTick',0:2:24)
set(gca,'XTickLabel',0:2:24)

set(gcf,'Position',[680 558 750 420])
 
screen2eps excess_wind_power_20_dumb_feb_2.eps 

