cd('Y:\Sagosen - Master\Data from NTE');
file = 'wind data Hundhammerfjellet 2012.xlsx';
%Takes in wind speed measurements for february 2
wind_speed= xlsread(file,1,'B770:B793');
cd('Y:\Sagosen - Master\Matlab');
elements=24; %Number of elements in imported file
%Measurements are made at 82 m while turbine hub is at 50 m
wind_adjustment_factor = (50/82.6)^(1/7);
adjusted_wind_speed = wind_speed*wind_adjustment_factor;%adjust the windspeed for altitude of 50 m
wind_power = zeros(1,elements);
p_max=0.5; %MW

for i=1:length(adjusted_wind_speed) %calculates generated power from wind speed
    if adjusted_wind_speed(i) < 3
        wind_power(i) = 0;
        
    elseif adjusted_wind_speed(i) < 5
        wind_power(i) = 20*adjusted_wind_speed(i) - 55;
    
    elseif adjusted_wind_speed(i) < 12.5
        wind_power(i) = 57.8125*adjusted_wind_speed(i) - 244.0625;
        
    elseif adjusted_wind_speed(i) < 25
        wind_power(i) = 500;
    
    else
        wind_power(i) = 0;
    end
end
gen_in_MW = wind_power/1000; %Gives generation in MW in stead of kW


gen_factor = gen_in_MW / p_max; %gives multiplication factor for generation in relation to p_max

%Make generation array for Simpow
wind_generation=zeros(1,24);
count=1;
    for i = 1:48 
        if mod(i,2)==1
            wind_generation(1,i) = count;
            count = count + 1;
        else
            wind_generation(1,i) = gen_factor(1,i-count+1);
        end
    end


 