clear all;
%plot power from/to external grid
load excess_energy.txt
array=excess_energy;

x= array(:,1);
y1= array(:,2)*1000;

y_min=linspace(0,0,length(x));  %creates system restriciton line
%plot
figure
plot(x,y1,'r',x,y_min,'k')
xlabel('Hours')
ylabel('Power (kW)')
axis([505 528 -300 500])

% Adjust XY label font
set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');


set(gca,'XTick',0:50:744)
set(gca,'XTickLabel',[0:50:744])

set(gcf,'Position',[680 558 750 420])

screen2eps power_from_grid.eps

%-----------------------------------------------------------------
%calculation of needed energy storage

storage_capacity=0;

for i=2:length(x)
    if y1(i)<0 || x(i)<22
    storage_capacity=storage_capacity + (x(i)-x(i-1))*y1(i);
    end
end
 

%---------------------------------------------
%Plot possible storage
storage_SOC=zeros(1,length(x));
storage_SOC(1)=5000;

for i=2:length(x)
    storage_SOC(i)=storage_SOC(i-1) + y1(i)*(x(i)-x(i-1));
end
figure
plot(x,storage_SOC)
xlabel('Hours')
ylabel('Energy (kWh)')
axis([0 744 0 50100])

set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');

set(gca,'XTick',0:50:744)
set(gca,'XTickLabel',[0:50:744])

set(gcf,'Position',[680 558 750 420])

screen2eps energy_storage.eps
