

cd('Y:\Sagosen - Master\Data from NTE');
file = 'wind data Hundhammerfjellet 2012.xlsx';
%Takes in wind speed measurements for february
%wind_speed= xlsread(file,1,'B746:B1441');
%Takes in wind speed for Jan 25 - Dec 31
wind_speed = xlsread(file,1,'B578:B8785');
cd('Y:\Sagosen - Master\Matlab');
elements=length(wind_speed); %Number of elements in imported file
%Measurements are made at 82 m while turbine hub is at 50 m
wind_adjustment_factor = (50/82.6)^(1/7);
adjusted_wind_speed = wind_speed*wind_adjustment_factor;%adjust the windspeed for altitude of 50 m
generated_power = zeros(1,elements);
p_max=0.5; %MW

for i=1:length(adjusted_wind_speed) %calculates generated power from wind speed
    if adjusted_wind_speed(i) < 3
        generated_power(i) = 0;
        
    elseif adjusted_wind_speed(i) < 5
        generated_power(i) = 20*adjusted_wind_speed(i) - 55;
    
    elseif adjusted_wind_speed(i) < 12.5
        generated_power(i) = 57.8125*adjusted_wind_speed(i) - 244.0625;
        
    elseif adjusted_wind_speed(i) < 25
        generated_power(i) = 500;
    
    else
        generated_power(i) = 0;
    end
end
gen_in_MW = generated_power/1000; %Gives generation in MW in stead of kW


gen_factor = gen_in_MW / p_max; %gives multiplication factor for generation in relation to p_max


%Makes a generation table with days*hours number of elements
gen_array = zeros(days,hours);
gen_pow = zeros(days,hours);
count=1;
for i= 1:length(gen_factor)
    
    gen_array(count,i-(count-1)*24)=gen_factor(i);
    gen_pow(count,i-(count-1)*24) = generated_power(i);
    
    if mod(i,24)==0;
        count=count+1;
    end
end

wind_generation = zeros(days,48);

count=1;
for j = 1:days
    temp=1;
    for i = 1:48 
        if mod(i,2)==1
            wind_generation(j,i) = count;
            count = count + 1;
            temp= temp + 1;
        else
            wind_generation(j,i) = gen_array(j,i-temp+1);
        end
    end
end








