
%Plot the wind generation
average_power = zeros(1,days);
week_avg = zeros(1,11);
%calculate average daily production
for i = 1:days
    temp=0;
    for j=1:hours
        temp=temp + generated_power(j + 24*(i-1));
    end
    average_power(i) = temp / 24;
end

count=1;
temp=0;
for i = 1:days
    temp = temp + average_power(i);
    if mod(i,14)==0
        week_avg(count) = temp/14;
        temp=0;
        count=count+1;
    end
end
week_avg(25)=300;    
x=1:length(average_power);
x2=1:14:length(average_power);

figure
hold on
box on
plot(x,average_power,'Color','k','LineWidth',1)
plot(x2,week_avg,'Color','r','LineWidth',3)
xlabel('Hours')
ylabel('Power [kWh/h]')
axis([0 342 0 550])




% Adjust XY label font

set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');


set(gca,'XTick',[8 37 68 98 129 159 190 221 251 282 312])
set(gca,'XTickLabel',{'Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'})

h_legend = legend('Daily average','Weekly average','Location','SouthOutside');
set(h_legend,'FontSize',14);

set(gcf,'Position',[680 558 750 420])
% 
 screen2eps average_power.eps

%Calculate consumption of EV charging
tot_charge=zeros(days,hours);
for i = 1:days
    for j = 1:hours
    tot_charge(i,j) = sum(charge_large_system(i,j,:));
    end
end

Excess_energy = gen_pow - tot_charge;

%calculate need for energy storage:
aggregated_energy=zeros(days,hours);
aggregated_energy(1,1)=0;
storage_size = 14300;
hours_0=0; %hours with storage_soc = 0
for i = 1:days
    for j = 1:hours
    if j == 1 && i==1
    aggregated_energy(i,j) = aggregated_energy(1,1)+ Excess_energy(i,j);
    elseif j==1
    aggregated_energy(i,j) = aggregated_energy(i-1,24) + Excess_energy(i,j);
    if aggregated_energy(i,j) > storage_size
        aggregated_energy(i,j) = storage_size;
    elseif aggregated_energy(i,j) < 0
        aggregated_energy(i,j) =0;
    end
    else
    aggregated_energy(i,j) = aggregated_energy(i,j-1) + Excess_energy(i,j);
    if aggregated_energy(i,j) > storage_size
        aggregated_energy(i,j) = storage_size;
    elseif aggregated_energy(i,j) < 0
        aggregated_energy(i,j) =0;
        hours_0 = hours_0 +1;
    end
    end
    end
end

count=1;
for i = 1:days
    for j=1:hours
    storage_soc(count)=aggregated_energy(i,j)/14300*100;
    count=count+1;
    end
end
x=1:length(storage_soc);
figure
plot(x,storage_soc,'b')
xlabel('Hours')
ylabel('SOC [%]')
axis([0 8208 0 105])

% Adjust XY label font
set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');


set(gca,'XTick',[168 864 1608 2328 3072 3792 4536 5280 6000 6744 7464])
set(gca,'XTickLabel',{'Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'})

set(gcf,'Position',[680 558 750 420])
% 
 screen2eps storage_soc.eps




