clear all;
%plot power from/to external grid
cd('Y:\Sagosen - Master\SIMPOW\Old system\Base_demand');
load excess_deficit_power_dec.txt
array=excess_deficit_power_dec;

cd('Y:\Sagosen - Master\SIMPOW\Old system\Stephans_solution');
load excess_energy_31_cars.txt
array2=excess_energy_31_cars;
cd('Y:\Sagosen - Master\Matlab\wind_generation');

x= array(:,1);
y1= array(:,2)*1000;
x2=array2(:,1);
y2=array2(:,2)*1000;

y_min=linspace(0,0,length(x));  %creates system restriciton line
%plot
figure
plot(x,y1,'r',x,y_min,'k',x2,y2,'b')
xlabel('Hours')
ylabel('Power (kW)')
axis([0 744 -300 500])

% Adjust XY label font
set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');

h_legend = legend('Base demand','31 EVs implemented','Location','EastOutside');
set(h_legend,'FontSize',14);
set(gca,'XTick',0:50:744)
set(gca,'XTickLabel',[0:50:744])

set(gcf,'Position',[680 558 750 420])

screen2eps power_from_grid_december.eps

%-----------------------------------------------------------------
%calculation of needed energy storage

storage_capacity=0;

for i=2:length(x)
    if y1(i)<0 || x(i)<22
    storage_capacity=storage_capacity + (x(i)-x(i-1))*y1(i);
    end
end
 

%---------------------------------------------
%Plot possible storage
storage_SOC=zeros(1,length(x));
time_SOC_0=0;  %total hours with storage SOC = 0%
deficit_energy=0; %deficit power in system that is not covered by storage
excess_energy=0; %Excess power that can not be stored
storage_SOC(1)=1600;
max_capacity = 1600; %maximum storage capacity in the systen in kwh

for i=2:length(x)
    storage_SOC(i)=storage_SOC(i-1) + y1(i)*(x(i)-x(i-1));
    if storage_SOC(i) > max_capacity
        excess_energy = excess_energy + storage_SOC(i) -max_capacity;
      storage_SOC(i) = max_capacity;
    end
    if storage_SOC(i) < 0
        time_SOC_0 = time_SOC_0 + (x(i) - x(i-1));
        deficit_energy = deficit_energy - storage_SOC(i);
        storage_SOC(i) = 0;
    end
end
figure
plot(x,storage_SOC)
xlabel('Hours')
ylabel('Energy (kWh)')
axis([0 744 -500 8000])

set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');

set(gca,'XTick',0:100:744)
set(gca,'XTickLabel',[0:100:744])

set(gcf,'Position',[680 558 750 420])

screen2eps energy_storage_base.eps

%---------------------------------------------
%Plot possible storage with 31 EVs in the system
storage_SOC_31_cars=zeros(1,length(x));
time_31_cars=0;  %total hours with storage SOC = 0%
deficit_energy_31_cars=0; %deficit power in system that is not covered by storage
excess_energy_31_cars=0; %Excess power that can not be stored
storage_SOC_31_cars(1)=1600;
max_capacity_31_cars = 1600; %maximum storage capacity in the systen in kwh

for i=2:length(x2)
    storage_SOC_31_cars(i)=storage_SOC_31_cars(i-1) + y2(i)*(x2(i)-x2(i-1));
    if storage_SOC_31_cars(i) > max_capacity_31_cars
        excess_energy_31_cars = excess_energy_31_cars + storage_SOC_31_cars(i) -max_capacity_31_cars;
      storage_SOC_31_cars(i) = max_capacity_31_cars;
    end
    if storage_SOC_31_cars(i) < 0
        time_31_cars = time_31_cars + (x2(i) - x2(i-1));
        deficit_energy_31_cars = deficit_energy_31_cars - storage_SOC_31_cars(i);
        storage_SOC_31_cars(i) = 0;
    end
end
figure
plot(x2,storage_SOC_31_cars)
xlabel('Hours')
ylabel('Energy (kWh)')
axis([0 744 -500 8000])

set(gca,'fontsize',14)
handxlabel1 = get(gca, 'xlabel');
set(handxlabel1, 'fontsize', 16, 'fontweight', 'bold');
handylabel1 = get(gca, 'ylabel');
set(handylabel1, 'fontsize', 16, 'fontweight', 'bold');

set(gca,'XTick',0:100:744)
set(gca,'XTickLabel',[0:100:744])

set(gcf,'Position',[680 558 750 420])

screen2eps energy_storage_31_EVs.eps

